comedi_poll
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_poll — force updating of streaming buffer

## Synopsis

    #include <comedilib.h>

`int comedi_poll(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_poll` is used on a subdevice that has a Comedi command in progress in order to update the streaming buffer. If supported by the driver, all available samples are copied to the streaming buffer. These samples may be pending in DMA buffers or device FIFOs. Only a few Comedi drivers support this operation.

## Return value

On success, `comedi_poll` returns the number of additional bytes available. On failure, `-1` is returned.

Prev | Up | Next
comedi_mark_buffer_written | Home | comedi_set_buffer_size